<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Sub structure for WINDOW."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><font FACE="Sans-serif" color="#000000"><B> +--------------------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |    (x0,y0)         |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       X------------|.........+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       | / / / / / /|         :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       |/ / / / / / |         :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       | /  PLAN / /|         :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       |/ / / / / / |         :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       | / / / / / /|         :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |       +------------X.........+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |                 (x1,y1)</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> |                    |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> +--------------------+</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_x</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_y</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">level</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">window</font></strong>:<a href="AREA.html"><font color="#008000">AREA</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B> Limit.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x0</font></strong>:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x1</font></strong>:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y0</font></strong>:<a href="LIMIT_Y.html"><font color="#008000">LIMIT_Y</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y1</font></strong>:<a href="LIMIT_Y.html"><font color="#008000">LIMIT_Y</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B> Link.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next</font></strong>:<a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">prev</font></strong>:<a href="PLAN.html"><font color="#008000">PLAN</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong> 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> :<a href="PLAN.html"><font color="#008000">PLAN</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">remove</font></strong> old_root:<a href="PLAN.html"><font color="#008000">PLAN</font></a> :<a href="PLAN.html"><font color="#008000">PLAN</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">display</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">dec_level</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">inc_level</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_x0</font></strong> new:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_y0</font></strong> new:<a href="LIMIT_Y.html"><font color="#008000">LIMIT_Y</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_x1</font></strong> new:<a href="LIMIT_X.html"><font color="#008000">LIMIT_X</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_y1</font></strong> new:<a href="LIMIT_Y.html"><font color="#008000">LIMIT_Y</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_level</font></strong> new:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next</font></strong> new:<a href="PLAN.html"><font color="#008000">PLAN</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_prev</font></strong> new:<a href="PLAN.html"><font color="#008000">PLAN</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">active_y</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">desactive_y</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">active_x</font></strong> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">desactive_x</font></strong> <-
  






</body>
</html>

